## org.eclipse.jetty.server.jmx
Class ServerMBean

    java.lang.Object
      org.eclipse.jetty.jmx.ObjectMBean
          org.eclipse.jetty.server.jmx.ServerMBean

All Implemented Interfaces:
  javax.management.DynamicMBean

    public class ServerMBean

extends ObjectMBean

Field Summary

Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean
`_managed`

Constructor Summary
`ServerMBean(java.lang.Object managedObject)`

Method Summary
`Handler[]` `getContexts()`
`long` `getStartupTime()`

Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, getObjectNameBasis, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerMBean

    public ServerMBean(java.lang.Object managedObject)

Method Detail

### getContexts

    public Handler[] getContexts()

### getStartupTime

    public long getStartupTime()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.